package controller

import (
	"github.com/gogf/gf/v2/frame/g"
	"math"
)

type Controller struct{}

func (p *Controller) getPager(count int, page int, pageSize int) g.Map {
	return g.Map{
		"page":       page,
		"page_size":  pageSize,
		"count":      count,
		"total_page": math.Ceil(float64(count) / float64(pageSize)),
	}
}
