package service

import (
	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

type Service struct{}

// List 基金列表
func (p *Service) getError(msg string) error {
	code := gcode.CodeBusinessValidationFailed.Code()
	if "" == msg {
		msg = gcode.CodeBusinessValidationFailed.Message()
	}
	return gerror.NewCode(gcode.New(code, "", nil), msg)
}
